# pandas.DataFrame.tz_convert

`DataFrame.``tz_convert`(tz, axis=0, level=None, copy=True)

  Convert tz-aware axis to target time zone.

  Parameters:

  tz : string or pytz.timezone object

  axis : the axis to convert

  level : int, str, default None

  > If axis ia a MultiIndex, convert a specific level. Otherwise must be None

  copy : boolean, default True

  > Also make a copy of the underlying data

  Returns:

  %(klass)s

  > Object with time zone converted axis.

  Raises:

  TypeError

  > If the axis is tz-naive.

Scroll To Top